be.ehealth.businessconnector.mediprimauma.service

## Interface MediprimaUmaService

- All Known Implementing Classes:
    MediprimaUmaServiceImpl

      public interface MediprimaUmaService

  interface with the methods of the MediPrima UMA webservice.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeleteUrgentMedicalAidAttestationResponse` | `deleteUrgentMedicalAidAttestation(SAMLToken token, DeleteUrgentMedicalAidAttestationRequest request)`
    `SearchUrgentMedicalAidAttestationResponse` | `searchUrgentMedicalAidAttestation(SAMLToken token, SearchUrgentMedicalAidAttestationRequest request)`
    `SendUrgentMedicalAidAttestationResponse` | `sendUrgentMedicalAidAttestation(SAMLToken token, SendUrgentMedicalAidAttestationRequest request)`

- - ### Method Detail

    - #### deleteUrgentMedicalAidAttestation

          DeleteUrgentMedicalAidAttestationResponse deleteUrgentMedicalAidAttestation(SAMLToken token,
                                                                                      DeleteUrgentMedicalAidAttestationRequest request)
                                                                               throws MediprimaUmaDeleteException,
                                                                                      TechnicalConnectorException

      Throws:
        `MediprimaUmaDeleteException`
        `TechnicalConnectorException`

    - #### searchUrgentMedicalAidAttestation

          SearchUrgentMedicalAidAttestationResponse searchUrgentMedicalAidAttestation(SAMLToken token,
                                                                                      SearchUrgentMedicalAidAttestationRequest request)
                                                                               throws MediprimaUmaSearchException,
                                                                                      TechnicalConnectorException

      Throws:
        `MediprimaUmaSearchException`
        `TechnicalConnectorException`

    - #### sendUrgentMedicalAidAttestation

          SendUrgentMedicalAidAttestationResponse sendUrgentMedicalAidAttestation(SAMLToken token,
                                                                                  SendUrgentMedicalAidAttestationRequest request)
                                                                           throws MediprimaUmaSendException,
                                                                                  TechnicalConnectorException

      Throws:
        `MediprimaUmaSendException`
        `TechnicalConnectorException`

Connector Packaging PERSPHYSICIAN 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.